package cn.com.poc.agent_application.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationGcConfigEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAgentApplicationGcConfigService extends BaseService {

    BizAgentApplicationGcConfigEntity getByConfigCode(String configCode) ;

    BizAgentApplicationGcConfigEntity get(java.lang.Integer id) throws Exception;

    List<BizAgentApplicationGcConfigEntity> findByExample(BizAgentApplicationGcConfigEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAgentApplicationGcConfigEntity save(BizAgentApplicationGcConfigEntity entity) throws Exception;

    BizAgentApplicationGcConfigEntity update(BizAgentApplicationGcConfigEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}